Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xsl
Class StringTransformerImpl

    java.lang.Object
      |
      +--javax.xml.transform.Transformer
            |
            +--com.caucho.xsl.TransformerImpl
                  |
                  +--com.caucho.xsl.StringTransformerImpl

All Implemented Interfaces:
  StringTransformer, Transformer

public class StringTransformerImpl
extends TransformerImpl
implements StringTransformer

Transforms a document to a result string.

Field Summary
`protected com.caucho.java.LineMap` | `lineMap`

Fields inherited from class com.caucho.xsl.TransformerImpl
`CACHE_DEPENDS, cacheDepends, GENERATE_LOCATION, L, LINE_MAP, parameters, properties, stylesheet`

Method Summary
`java.lang.Object` | `getProperty(java.lang.String name)` Gets a transformer/stylesheet property.
`java.lang.String` | `transform(java.io.InputStream source)` Transforms an input stream to a string
`java.lang.String` | `transform(Node node)` Transform a node, producing an output string.
`java.lang.String` | `transform(java.lang.String systemId)` Transforms a URL path to a string.
`java.lang.String` | `transformString(java.lang.String source)` Transforms a string to a string.

Methods inherited from class com.caucho.xsl.TransformerImpl
`addCacheDepend, addCacheDepend, addFunction, clearParameters, getCacheDepends, getErrorListener, getFeature, getOutputProperties, getOutputProperty, getParameter, getStylesheet, getURIResolver, parseDocument, parseDocument, parseDocument, parseStringDocument, setErrorListener, setFeature, setOutputProperties, setOutputProperty, setParameter, setProperty, setURIResolver, transform, transform, transform, transform, transform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.caucho.transform.Transformer
`addFunction, getFeature, getParameter, setFeature, setParameter, setProperty`

Field Detail

### lineMap

    protected com.caucho.java.LineMap lineMap

Method Detail

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

  Description copied from interface: `Transformer`
  Gets a transformer/stylesheet property.
  Specified by:
    `getProperty` in interface `Transformer`
  Overrides:
    `getProperty` in class `TransformerImpl`
  Following copied from interface: `com.caucho.transform.Transformer`
  Parameters:
    `name` - name of the property

### transform

    public java.lang.String transform(java.io.InputStream source)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Description copied from interface: `StringTransformer`
  Transforms an input stream to a string
  Specified by:
    `transform` in interface `StringTransformer`
  Following copied from interface: `com.caucho.transform.StringTransformer`
  Parameters:
    `source` - an input stream for an XML document.
  Returns:
    the resulting XML as a string

### transform

    public java.lang.String transform(java.lang.String systemId)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Description copied from interface: `StringTransformer`
  Transforms a URL path to a string.
  Specified by:
    `transform` in interface `StringTransformer`
  Following copied from interface: `com.caucho.transform.StringTransformer`
  Parameters:
    `systemId` - URL path an XML document.
  Returns:
    the resulting XML as a string

### transformString

    public java.lang.String transformString(java.lang.String source)
                                     throws org.xml.sax.SAXException,
                                            java.io.IOException

  Description copied from interface: `StringTransformer`
  Transforms a string to a string.
  Specified by:
    `transformString` in interface `StringTransformer`
  Following copied from interface: `com.caucho.transform.StringTransformer`
  Parameters:
    `source` - a stream to be parsed as an XML document.
  Returns:
    the resulting XML as a string

### transform

    public java.lang.String transform(Node node)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Transform a node, producing an output string.
  Specified by:
    `transform` in interface `StringTransformer`
  Parameters:
    `node` - the input node to transform
  Returns:
    the resulting string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD